Surveys 2 endpoints

POST /lists/{list_id}/surveys/{survey_id}/actions/publish

Publish a survey that is in draft, unpublished, or has been previously published and edited.

operationId: Surveys_publishSurveyAction

Parameters

Name In Required Type Description
list_id path required string

The unique ID for the list.

survey_id path required string

The ID of the survey.

Responses

default

An error generated by the Mailchimp API.

200

Survey Published

POST /lists/{list_id}/surveys/{survey_id}/actions/publish
POST /lists/{list_id}/surveys/{survey_id}/actions/unpublish

Unpublish a survey that has been published.

operationId: Surveys_unpublishSurveyAction

Parameters

Name In Required Type Description
list_id path required string

The unique ID for the list.

survey_id path required string

The ID of the survey.

Responses

default

An error generated by the Mailchimp API.

200

Survey Instance

POST /lists/{list_id}/surveys/{survey_id}/actions/unpublish

Templatefolders 5 endpoints

GET /template-folders

Get all folders used to organize templates.

operationId: TemplateFolders_listFolders

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

count query optional integer

The number of records to return. Default value is 10. Maximum value is 1000

offset query optional integer

Used for pagination, this it the number of records from a collection to skip. Default value is 0.

Responses

default

An error generated by the Mailchimp API.

200
GET /template-folders
POST /template-folders

Create a new template folder.

operationId: TemplateFolders_addNewFolder

Request Body

application/json
schema TemplateFoldersAddNewFolderRequest
Property Type Required
name string required

Responses

default

An error generated by the Mailchimp API.

200
POST /template-folders
DELETE /template-folders/{folder_id}

Delete a specific template folder, and mark all the templates in the folder as ‘unfiled’.

operationId: TemplateFolders_deleteSpecificFolder

Parameters

Name In Required Type Description
folder_id path required string

The unique id for the template folder.

Responses

default

An error generated by the Mailchimp API.

204

Empty Response

DELETE /template-folders/{folder_id}
GET /template-folders/{folder_id}

Get information about a specific folder used to organize templates.

operationId: TemplateFolders_getInfo

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

folder_id path required string

The unique id for the template folder.

Responses

default

An error generated by the Mailchimp API.

200
GET /template-folders/{folder_id}
PATCH /template-folders/{folder_id}

Update a specific folder used to organize templates.

operationId: TemplateFolders_updateSpecificFolder

Parameters

Name In Required Type Description
folder_id path required string

The unique id for the template folder.

Request Body

application/json
schema TemplateFoldersAddNewFolderRequest
Property Type Required
name string required

Responses

default

An error generated by the Mailchimp API.

200
PATCH /template-folders/{folder_id}

Templates 6 endpoints

GET /templates

Get a list of an account’s available templates.

operationId: Templates_listAvailableTemplates

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

count query optional integer

The number of records to return. Default value is 10. Maximum value is 1000

offset query optional integer

Used for pagination, this it the number of records from a collection to skip. Default value is 0.

created_by query optional string

The Mailchimp account user who created the template.

since_date_created query optional string

Restrict the response to templates created after the set date. Uses ISO 8601 time format: 2015-10-21T15:41:36+00:00.

before_date_created query optional string

Restrict the response to templates created before the set date. Uses ISO 8601 time format: 2015-10-21T15:41:36+00:00.

type query optional string

Limit results based on template type.

category query optional string

Limit results based on category.

folder_id query optional string

The unique folder id.

sort_field query optional string

Returns user templates sorted by the specified field.

content_type query optional string

Limit results based on how the template’s content is put together. Only templates of type user can be filtered by content_type. If you want to retrieve saved templates created with the legacy email editor, then filter content_type to template. If you’d rather pull your saved templates for the new editor, filter to multichannel. For code your own templates, filter to html.

sort_dir query optional string

Determines the order direction for sorted results.

Responses

default

An error generated by the Mailchimp API.

200
GET /templates
POST /templates

Create a new template for the account. Only Classic templates are supported.

operationId: Templates_createNewTemplate

Request Body

application/json
schema TemplatesCreateNewTemplateRequest
Property Type Required
html string required
name string required
folder_id string optional

Responses

default

An error generated by the Mailchimp API.

200
POST /templates
DELETE /templates/{template_id}

Delete a specific template.

operationId: Templates_deleteSpecificTemplate

Parameters

Name In Required Type Description
template_id path required string

The unique id for the template.

Responses

default

An error generated by the Mailchimp API.

204

Empty Response

DELETE /templates/{template_id}
GET /templates/{template_id}

Get information about a specific template.

operationId: Templates_getInfo

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

template_id path required string

The unique id for the template.

Responses

default

An error generated by the Mailchimp API.

200
GET /templates/{template_id}
PATCH /templates/{template_id}

Update the name, HTML, or folder_id of an existing template.

operationId: Templates_updateTemplateById

Parameters

Name In Required Type Description
template_id path required string

The unique id for the template.

Request Body

application/json
schema TemplatesCreateNewTemplateRequest
Property Type Required
html string required
name string required
folder_id string optional

Responses

default

An error generated by the Mailchimp API.

200
PATCH /templates/{template_id}
GET /templates/{template_id}/default-content

Get the sections that you can edit in a template, including each section’s default content.

operationId: Templates_viewDefaultContent

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

template_id path required string

The unique id for the template.

Responses

default

An error generated by the Mailchimp API.

200
GET /templates/{template_id}/default-content

Verifieddomains 5 endpoints

GET /verified-domains

Get all of the sending domains on the account.

operationId: VerifiedDomains_listSendingDomains

Responses

default

An error generated by the Mailchimp API.

200

The domains on the account.

GET /verified-domains
POST /verified-domains

Add a domain to the account.

operationId: VerifiedDomains_addDomainToAccount

Request Body

required
application/json
schema VerifiedDomainsAddDomainToAccountRequest
Property Type Required
verification_email string required

Responses

default

An error generated by the Mailchimp API.

200

The newly-created domain.

POST /verified-domains
DELETE /verified-domains/{domain_name}

Delete a verified domain from the account.

operationId: VerifiedDomains_deleteDomain

Parameters

Name In Required Type Description
domain_name path required string

The domain name.

Responses

default

An error generated by the Mailchimp API.

204

Empty Response

DELETE /verified-domains/{domain_name}
GET /verified-domains/{domain_name}

Get the details for a single domain on the account.

operationId: VerifiedDomains_getInfo

Parameters

Name In Required Type Description
domain_name path required string

The domain name.

Responses

default

An error generated by the Mailchimp API.

200
GET /verified-domains/{domain_name}
POST /verified-domains/{domain_name}/actions/verify

Verify a domain for sending.

operationId: VerifiedDomains_verifyDomainForSending

Parameters

Name In Required Type Description
domain_name path required string

The domain name.

Request Body

required
application/json
schema VerifiedDomainsVerifyDomainForSendingRequest
Property Type Required
code string required

Responses

default

An error generated by the Mailchimp API.

200

The domain being verified for sending.

POST /verified-domains/{domain_name}/actions/verify